Subject: Re: bug#46784: [PATCH 1/2] guix: Add Zero-Clause BSD License.

From: Ludovic Courtès <[email-masked]>
Date: Sat, 06 Mar 2021 11:40:59 +0100

Hi!

Tobias Geerinckx-Rice <[email-masked]> skribis:

> Nicolas Goaziou 写道：
>> OTOH, bsd-0 is not totally accurate either, because zero-clause BSD
>> is
>> not a BSD derivative. So, here come my nitpick: what about zero-bsd?
>
> I disagree (disclaimer: I'm the one who suggested ‘bsd-0’ to Alex :-)
> that accuracy is implied or valuable.  Guix maps ‘n-clause-BSD’ to
> ‘bsd-n’, we get (marginally) fewer requests to add ‘missing’ licences,
> all is well with the world.
>
> It's true that the 0-clause BSD licence was based on the ISC text;
> that doesn't make it any less of a BSD licence.  That requires 
> claiming that OpenBSD is not under a BSD licence either, which is
> a... certain kind of correct.

This is an interesting discussion :-), but in the interest of moving
forward, I applied the ‘bsd-0’ patch.

Thanks,
Ludo’.